import {
	request
} from "@/utils/request";

export default {

	SalesDiscounts: {

		List(data) {
			return request({
				url: "/shop/SalesDiscounts/List",
				method: "GET",
				data,
				type: 'mall'
			});
		},
		GetItem(data) {
			return request({
				url: "/shop/SalesDiscounts/GetItem",
				method: "GET",
				data,
				type: 'mall'
			});
		},
		Create(data) {
			return request({
				url: "/shop/SalesDiscounts/Create",
				method: "POST",
				data,
				type: 'mall'
			});
		},
	},

	SalesFullDiscounts: {

		List(data) {
			return request({
				url: "/shop/SalesFullDiscounts/List",
				method: "GET",
				data,
				type: 'mall'
			});
		},
		GetItem(data) {
			return request({
				url: "/shop/SalesFullDiscounts/GetItem",
				method: "GET",
				data,
				type: 'mall'
			});
		},
		Create(data) {
			return request({
				url: "/shop/SalesFullDiscounts/Create",
				method: "POST",
				data,
				type: 'mall'
			});
		},
	},

	SalesFullSetRedution: {

		List(data) {
			return request({
				url: "/shop/SalesFullSetRedution/List",
				method: "GET",
				data,
				type: 'mall'
			});
		},
		GetItem(data) {
			return request({
				url: "/shop/SalesFullSetRedution/GetItem",
				method: "GET",
				data,
				type: 'mall'
			});
		},
		Create(data) {
			return request({
				url: "/shop/SalesFullSetRedution/Create",
				method: "POST",
				data,
				type: 'mall'
			});
		},
	},
	
	caiwu: {
		List(data) {
			return request({
				url: "/shop/shop/shareList",
				method: "GET",
				data,
				type: 'mall'
			});
		},
		cashList(data) {
			return request({
				url: "/shop/shop/cashList",
				method: "GET",
				data,
				type: 'mall'
			});
		},
		shopData(data) {
			return request({
				url: "/shop/shop/getData",
				method: "GET",
				data,
				type: 'mall'
			});
		},
		cashSubmit(data) {
			return request({
				url: "/shop/shop/cashSubmit",
				method: "POST",
				data,
				type: 'mall'
			});
		},
	}

};